//ObjekteEntfernen_201d.js
// 15.09.13 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / hsa@ringier.ch
//DESCRIPTION:Lscht Objekte ausserhalb der Seiten

// vorbeugenderweise das Anzeigen von Dialogen aktivieren
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// aktuelles Dokument
var curDoc = app.documents[0];

// die Ebenen entsperren (falls notwendig)
var lockList = new Array ();
var layrLock = curDoc.layers.everyItem().locked;
for (var i=0; i<layrLock.length; i++) {
	if (layrLock[i] == true) {
		curDoc.layers[i].locked = false;
		lockList.push(true);
	}
	else {
		lockList.push(false);
	}
}

// die 'parents' aller Objekte
var allParents = curDoc.pageItems.everyItem().parent;

// eine Rckwrts-Schleife durch die Attribute
for (var n=allParents.length-1; n>-1; n--) {
	// wenn 'parent' kein Seitenobjekt ist ...
	if (allParents[n] != "[object Page]") {
		// das Objekt vorsorglich entsperren
		curDoc.pageItems[n].locked = false;
		// und entfernen
		try {
			curDoc.pageItems[n].remove();
		}
		catch (e) {
		}
	}
}

// die Ebenen wieder sperren (falls notwendig)
for (var i=0; i<lockList.length; i++) {
	if (lockList[i] == true) {
		curDoc.layers[i].locked = true;
	}
}

// das Ende der Aktion verknden
alert ("Fertig.", " ");